Kerbal Space Program - Bug #24485

Career mode parts purchase issues
12/06/2019 11:17 PM - BiggDich

Status: Ready to Test Start date: 12/06/2019
Severity: Low % Done: 80%
Assignee:
Category: Application
Target version: PS4 - Enhanced Edition 2020-02-19
Patch 11
Version: PS4 - Enhanced Edition 2019-12-05 Language: English (US)
Patch 9
Platform: PS4 Mod Related: No
Expansion: Core Game, Making History
Description

With career mode | have unlocked most of the tech tree, but when highlighting parts several require me to purchase back in when
I've already spent the cash to use the unlocked items. | am using the option to unlock with science but still require individual part
purchases. | have repurchased the unlocked items again, and they show available for repurchase when the game is reopened.

Seems to be in relation mostly to variants unlocked with the Making History expansion.

History

#1 - 12/11/2019 07:10 PM - chris.fulton
- Status changed from New to Confirmed

- % Done changed from 0 to 10

If you purchase the part the first time the part unlocks successfully, but the duplicated parts still show up as "purchasable". It is not required to buy the
part again and suggest buying only one of each part. A fresh save file will resolve this issue.

#2 - 02/20/2020 07:36 PM - chris.fulton

- Status changed from Confirmed to Ready to Test

- Target version set to PS4 - Enhanced Edition 2020-02-19 Patch 11
- % Done changed from 10 to 80
